<?php

declare(strict_types=1);

namespace Plugin\tnt_stabila_shop\src\Models;

use Plugin\tnt_stabila_shop\src\Abstracts\AbstractModel;

class SalesChannel extends AbstractModel
{
    public static function getTable(): string
    {
        return 'stabila_shop_sales_channel';
    }

    /**
     * @return array{
     *     'orderID ': 'int',
     *     referrer: 'string',
     *     totalOrderValue: 'datetime'
     * }
     */
    public static function getSchema(): array
    {
        return [
            'orderID '        => 'int',
            'referrer'        => 'string',
            'totalOrderValue' => 'datetime',
        ];
    }
}
